#!/bin/bash

set -e
TAG=llvmorg-11.0.0

mkdir clangd
cd clangd/
git clone -b $TAG https://github.com/llvm/llvm-project.git

rm -rf build
mkdir build
cd build
cmake -DLLVM_ENABLE_PROJECTS="clang;clang-tools-extra" -DLLVM_TOOL_CLANG_BUILD=1 -DCLANG_ENABLE_CLANGD=1 -DLLVM_TOOL_CLANG_TOOLS_EXTRA_BUILD=1 -DCMAKE_BUILD_TYPE=Release ../llvm-project/llvm
make clangd
make install
