(setq read-process-output-max (* 1024 1024)) ;; 1mb
(setq gc-cons-threshold 100000000)
(setq lsp-enabled-clients '(clangd-remote))

(require 'lsp-mode)

(with-eval-after-load 'lsp-mode
  (progn
    (lsp-register-client
     (make-lsp-client :new-connection (lsp-tramp-connection "wrap-clangd.sh")
                      :major-modes '(c-mode c++-mode)
                      :priority -1
                      :remote? t
                      :server-id 'clangd-remote))))

(add-hook 'c++-mode-hook
          (lambda()
            (lsp)))
